
Foreman - Feature #26487

add graphql jwt login mutation

03/30/2019 01:04 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6627

  

Description

For a user it should be possible to login via graphql. The API should return a JWT token that can be used to issue further requests as

a logged in user.

Related issues:

Related to Foreman - Feature #22388: Authenticate Users using JWTs Closed

Related to Foreman - Feature #26669: graphql should support brute force prote... Closed

Related to Foreman - Feature #26887: graphql login: count login failures as b... Closed

Associated revisions

Revision 7bf64ff7 - 04/23/2019 07:47 AM - Timo Goebel

fixes #26487 - user login with graphql

History

#1 - 03/30/2019 01:04 PM - Timo Goebel

- Related to Feature #22388: Authenticate Users using JWTs added

#2 - 03/30/2019 02:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6627 added

#3 - 04/23/2019 07:47 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- Fixed in Releases 1.23.0 added

#4 - 04/24/2019 07:14 AM - Timo Goebel

- Related to Feature #26669: graphql should support brute force protection added

#5 - 05/26/2019 02:35 PM - Timo Goebel

- Related to Feature #26887: graphql login: count login failures as brute force attempts added
